Subject: Re: [payload] [AVTCORE] [Technical Errata Reported] RFC4867 (4348)

From: Magnus Westerlund <[email-masked]>
Date: Wed, 6 Apr 2016 17:07:58 -0300

Payload,

I should have included you from start. Please provide any input on this 
Errata as its relate to an RTP Payload format.

Cheers

Magnus Westerlund
(AVTCORE WG chair)

Den 2016-04-04 kl. 14:37, skrev Magnus Westerlund:
> WG,
>
> I am co-author of this document. If there are any controversy around the
> consensus here I will let my co-chair or the AD judge that.
>
> However, the WG should progress this Errata. It has been created due to
> actual interoperability issues that has been discussed in 3GPP SA4. From
> my perspective the errata also represents the intention of the document.
> Thus I propose that this errata is verified. Please provide any feedback
> by the 18th of April.
>
> Cheers
>
> Magnus Westerlund
>
> Den 2015-04-27 kl. 12:48, skrev RFC Errata System:
>> The following errata report has been submitted for RFC4867,
>> "RTP Payload Format and File Storage Format for the Adaptive
>> Multi-Rate (AMR) and Adaptive Multi-Rate Wideband (AMR-WB) Audio Codecs".
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=4867&eid=4348
>>
>> --------------------------------------
>> Type: Technical
>> Reported by: Thomas Belling <[email-masked]>
>>
>> Section: 4.3.1
>>
>> Original Text
>> -------------
>>     The encoder SHOULD follow a received codec mode request, but MAY
>>     change to a lower-numbered mode if it so chooses, for example, to
>>     control congestion.
>>
>>
>> Corrected Text
>> --------------
>>     The encoder MUST follow a received codec mode request as soon as
>>     possible. It SHOULD use the requested mode, but MAY change to a
>>     lower-numbered mode if it so chooses, for example, to
>>     control congestion. However, the encoder MUST NOT use a
>>     higher-numbered mode than the received codec mode request.
>>
>>
>> Notes
>> -----
>> This seems to be the intention of the existing text, but is not
> explicitly stated. It is essential for the end-to-end mode control and
> interoperability with 3GPP CS networks that a peer does not send higher
> modes than requested.
>>
>> This erratum has been discussed and endorsed by the 3GPP SA4 group
> before submission to IETF.
>
>> Instructions:
>> -------------
>> This erratum is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary.
>>
>> --------------------------------------
>> RFC4867 (draft-ietf-avt-rtp-amr-bis-06)
>> --------------------------------------
>> Title               : RTP Payload Format and File Storage Format for
>> the Adaptive Multi-Rate (AMR) and Adaptive Multi-Rate Wideband
>> (AMR-WB) Audio Codecs
>> Publication Date    : April 2007
>> Author(s)           : J. Sjoberg, M. Westerlund, A. Lakaniemi, Q. Xie
>> Category            : PROPOSED STANDARD
>> Source              : Audio/Video Transport
>> Area                : Real-time Applications and Infrastructure
>> Stream              : IETF
>> Verifying Party     : IESG
>>
>>
>
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------